LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 05-15-2004, 11:25 AM   #1
Creak
Member
 
Registered: Feb 2004
Distribution: debian
Posts: 187

Rep: Reputation: 30
troubles with the nvidia driver and the kernel 2.6.5


Hi!

I compiled the last 2.6.5 kernel and everything work fine except the nvidia module. i got an error like this one : "can't load the module nvidia". I can't tell you exactly what it was because i'm now under the old "nv" driver.

In my XF86Config-4 file i had this:
Quote:
Section "Module"
# Load "GLcore"
Load "bitmap"
Load "dbe"
Load "ddc"
# Load "dri"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "record"
Load "speedo"
Load "type1"
Load "vbe"
EndSection
Quote:
Section "Device"
Identifier "nVidia GeForce III"
Driver "nvidia"
EndSection
As i used to do for the 2.6.4 and older kernel...
Does someone have the same problem ?

Thanks,
Creak
 
Old 05-15-2004, 12:00 PM   #2
b0uncer
LQ Guru
 
Registered: Aug 2003
Distribution: CentOS, OS X
Posts: 5,131

Rep: Reputation: Disabled
have you installed the nvidia drivers after the kernel recompilation? they need to be reinstalled each time you compile the kernel, no matter if the version number stays the same or changes...that's the first thing you should try I think.
 
Old 05-16-2004, 06:31 PM   #3
Creak
Member
 
Registered: Feb 2004
Distribution: debian
Posts: 187

Original Poster
Rep: Reputation: 30
Yup, i'm on debian so i did this:
1) make-kpkg --revision=0.2 kernel_image
2) make-kpkg modules_image
3) dpkg -i kernel....2.6.5......0.2.......deb
4) dpkg -i nvidia-kernel-5336+kernel.....2.6.5....0.2.....deb

For all the other kernel version (2.6.4 and older), it worked really well.

Thanks
Creak
 
Old 05-16-2004, 06:52 PM   #4
LavaDevil94
LQ Guru
 
Registered: Jul 2003
Distribution: Gentoo 2004.2: Who needs exmmpkg when you have emerge?
Posts: 1,795

Rep: Reputation: 47
You tried loading it manually with a modprobe nvidia? I think I recall seeing an error message like that in the README... try that. Its in /usr/share/doc/NVIDIA_GLX-1.0/.
 
Old 05-17-2004, 07:25 AM   #5
Creak
Member
 
Registered: Feb 2004
Distribution: debian
Posts: 187

Original Poster
Rep: Reputation: 30
modprobe loads the module without any problem... i'm not at home here but i'll read what you suggested me to read when i ll come back

Thanks,
Creak
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Nvidia Driver install troubles mission_control Linux - Software 2 09-30-2004 07:08 PM
nvidia driver troubles under Gentoo 2004.0 Aman9090 Linux - Hardware 3 03-15-2004 08:17 AM
kernel 2.6.3--bk8 and NVIDIA-Linux-x86-1.0-5336 video driver from Nvidia zdenkod Linux - Hardware 2 03-09-2004 05:38 AM
upgrading NVIDIA driver...troubles! lord_clarence Mandriva 10 10-29-2003 06:45 AM
Sorry! Nvidia Driver Troubles Sean_Glenville Linux - Newbie 4 07-18-2003 05:43 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 08:32 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration